Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84632 - kernel-2.4.9-e.12smp hangs while loading qla2200 module
Summary: kernel-2.4.9-e.12smp hangs while loading qla2200 module
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-19 20:08 UTC by Need Real Name
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-11-26 20:33:42 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-02-19 20:08:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
After installing kernel-2.4.9-e.12smp with up2date and making the necessary 
lilo.conf changes, the system locks up during boot up while loading the qla2200 
module.  This is the same problem I experienced after installing the e.10smp 
kernel.

The following information I emailed to a RedHat rep after my problem with the 
previous kernel.  It is all still relevant to my current problem with e.12smp:

Server is Compaq Proliant 6500 running Advanced Server 2.1
The SAN is an EMC Symmetrix.
The HBA is a Qlogic QLA2200F (PCI Fibre Channel ROM BIOS 1.79).

The following are the last messages generated before the boot up hangs:
-------------
Loading qla2200 module
qla2x00: Found VID=1077 DID=2200 SSVID=1077 SSDID=2
scsi0: Found a QLA2200 @ bus 4, device 0x4, irq 10, iobase 0x3000
scsi(0): Configure NVRAM parameters...
qla2x00: 64 Bit PCI Addressing Enabled
scsi(0): Verifying loaded RISC code...
scsi(0): Verifying chip...
scsi(0): Waiting for LIP to complete...
--------------


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot the system using kernel-2.4.9-e.12smp 
2.Observe system hang when "Loading qla2200 module"
3.
    

Actual Results:  Hangs so that the power button has to be hit, and the system 
needs to be booted using the old e.3smp kernel.

Expected Results:  Qla2200 module should finish loading.

Additional info:

Comment 1 acount closed by user 2003-03-01 04:05:57 UTC
Take a look to /lib/modules/2.4.9-e.12smp/kernel/drivers/addon/ . There are
several versions of the Qlogic drivers. You try to load the other drivers at
/etc/modules.conf . I can't remember the names, sorry. But they are something
like qla_XXX (XXX=numbers)

Comment 2 acount closed by user 2003-03-01 04:10:37 UTC
Could be interesting to update a new qla firmware ?

Comment 3 Tom Coughlan 2003-11-26 20:33:42 UTC
Please try the newer qlogic drivers in kernel/drivers/addon/, as
suggested above. 

In the latest AS 2.1 errata (2.4.9-e.27) the driver name is 
drivers/addon/qla2xxx/qla2200.o  This is driver rev. 6.04.01.

The driver contains the firmware for the card, so a newer driver often
(and in this case, does) contain newer firmware.

Re-open this bug if there is still a problem.



Note You need to log in before you can comment on or make changes to this bug.